using BarContracts.BindingModels;
using BarContracts.SearchModels;
using BarContracts.ViewModels;

namespace BarContracts.StoragesContracts
{
    public interface ICocktailStorage
    {
        List<CocktailViewModel> GetFullList();
        List<CocktailViewModel> GetFilteredList(CocktailSearchModel Model);
        CocktailViewModel? GetElement(CocktailSearchModel Model);
        CocktailViewModel? Insert(CocktailBindingModel Model);
        CocktailViewModel? Update(CocktailBindingModel Model);
        CocktailViewModel? Delete(CocktailBindingModel Model);
    }
}
